Bug 180200 - graphics/pfstools : remove support for QT3
graphics/pfstools : remove support for QT3
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Rene Ladan
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-02 14:30 UTC by Rene Ladan
Modified: 2013-07-02 20:10 UTC (History)
0 users

See Also:


Attachments
file.diff (794 bytes, patch)
2013-07-02 14:30 UTC, Rene Ladan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rene Ladan freebsd_committer 2013-07-02 14:30:01 UTC
KDE 3 and QT 3 expired on 2013-07-01, and this port provides optional support for QT3 via the QT option.

Remove this option from the Makefile.

Fix: Patch attached with submission follows:
How-To-Repeat: `find /usr/ports/ -mindepth 2 -maxdepth 3 Makefile\* | xargs grep bsd.kde.mk` finds this port. (bsd.kde.mk is for KDE 3, bsd.kde4.mk is for KDE 4)
Comment 1 Edwin Groothuis freebsd_committer 2013-07-02 14:30:14 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2013-07-02 14:30:14 UTC
Maintainer of graphics/pfstools,

Please note that PR ports/180200 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/180200

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 darius 2013-07-02 14:50:35 UTC
On 02/07/2013, at 23:00, Edwin Groothuis <edwin@FreeBSD.org> wrote:
> Maintainer of graphics/pfstools,
>=20
> Please note that PR ports/180200 has just been submitted.
>=20
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>=20
> The full text of the PR can be found at:
>    http://www.freebsd.org/cgi/query-pr.cgi?pr=3Dports/180200


Looks good.
I don't use pfstools any more so if someone else wants to take it be my =
guest.

--
Daniel O'Connor software and network engineer
for Genesis Software - http://www.gsoft.com.au
"The nice thing about standards is that there
are so many of them to choose from."
  -- Andrew Tanenbaum
GPG Fingerprint - 5596 B766 97C0 0E94 4347 295E E593 DC20 7B3F CE8C
Comment 4 dfilter freebsd_committer 2013-07-02 20:06:42 UTC
Author: rene
Date: Tue Jul  2 19:06:29 2013
New Revision: 322192
URL: http://svnweb.freebsd.org/changeset/ports/322192

Log:
  Remove the QT option as it depends on the expired QT3 port.
  
  The maintainer does not use this port any longer, new volunteers are welcome.
  
  PR:		ports/180200
  Submitted by:	myself
  Approved by:	Daniel O'Connor <darius@dons.net.au> (maintainer)

Modified:
  head/graphics/pfstools/Makefile

Modified: head/graphics/pfstools/Makefile
==============================================================================
--- head/graphics/pfstools/Makefile	Tue Jul  2 19:04:18 2013	(r322191)
+++ head/graphics/pfstools/Makefile	Tue Jul  2 19:06:29 2013	(r322192)
@@ -29,8 +29,7 @@ USE_GMAKE=	yes
 USE_LDCONFIG=	yes
 USES=	pkgconfig
 
-OPTIONS_DEFINE=	NETPBM OPENEXR TIFF QT IMAGEMAGICK OCTAVE OPENGL
-QT_DESC=	QT library support
+OPTIONS_DEFINE=	NETPBM OPENEXR TIFF IMAGEMAGICK OCTAVE OPENGL
 OCTAVE_DESC=	Compile octave interface functions
 
 OPTIONS_DEFAULT=	TIFF
@@ -100,17 +99,8 @@ CONFIGURE_ARGS+=--disable-tiff
 PLIST_SUB+=	TIFF="@comment "
 .endif
 
-.if ${PORT_OPTIONS:MQT}
-CONFIGURE_ARGS+=--enable-qt
-USE_QT_VER=	3
-.include "${PORTSDIR}/Mk/bsd.kde.mk"
-PLIST_SUB+=	QT=""
-MAN1+=		pfsview.1 \
-		pfsv.1
-.else
 CONFIGURE_ARGS+=--disable-qt
 PLIST_SUB+=	QT="@comment "
-.endif
 
 .if ${PORT_OPTIONS:MIMAGEMAGICK}
 CONFIGURE_ARGS+=--enable-imagemagick
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Rene Ladan freebsd_committer 2013-07-02 20:07:07 UTC
State Changed
From-To: feedback->closed

Committed, thanks 


Comment 6 Rene Ladan freebsd_committer 2013-07-02 20:07:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rene

Committed, thanks